Subject: RE: On Cygwin package naming and a setup.exe bug
From: Bernard Dautrevaux <[email-masked]>
To: "'Robert Collins'" <[email-masked]>, Bernard Dautrevaux <[email-masked]>
Cc: [email-masked]
Date: Wed, 29 Aug 2001 15:33:21 +0200

> -----Original Message-----
> From: Robert Collins [mailto:[email-masked]]
> Sent: Wednesday, August 29, 2001 3:26 PM
> To: Bernard Dautrevaux
> Cc: [email-masked]
> Subject: RE: On Cygwin package naming and a setup.exe bug
> 
> 
> On 29 Aug 2001 15:09:46 +0200, Bernard Dautrevaux wrote:
> > 
> > > -----Original Message-----
> > > From: Robert Collins [mailto:[email-masked]]
> > > Sent: Tuesday, August 28, 2001 9:01 AM
> > > To: [email-masked]
> > > Subject: Re: On Cygwin package naming and a setup.exe bug
> > > 
> > > 
> > > Ok... I slept through most of this thread :}. I'm going to 
> > > make a couple
> > > of comments though... to no particular poster/answer.
> 
> (*)
> 
> > > Bernard, I'm not sure how the above underlined comment, 
> when combined
> > > with....
> <snip>
> > It would be if the second statement was due to John... 
> 
> Oops. Well that does make a difference! Remind be not to assume the >
> imply the same author.

That was what I thought :-)

> 
> > In fact I think who's giving John's its paycheck has no 
> importance here;
> > he's producing and using open/free source code, so must 
> obey the rules. 
> 
> I didn't mean to imply paycheck creator, rather
> use-to-which-code-is-put. 

Agreed.

> 
> > The
> > only thing I say is that he must not be suspected of not 
> obeying them, as
> > producing free source should deserve checking before complaining.
> 
> Absolutely agree. Interpretation is all, as usual.
>  
> > Not knowing what is scheduled is obscuring th edebate; 
> knowing for example
> > that there will be a change to the -src special handling 
> (meaning some more
> > general solution will be provided) makes perfect sense at 
> refusing the
> > -cygwin special handling, but was far from evident from the initial
> > discussion.
> 
> You might want to subscribe to cygwin-developers to know what is
> scheduled, or look in the archives. [email-masked] is the general
> discussion forum, and cygwin-apps is for ported applications. 
> Setup.exe
> is neither.

I don't subscribe to cygwin-developpers as I'm *not* a developper (I regret
it but *really* don't have time to), don't want my mailbox to be more filled
than it already is (not counting the fact that it's not an open list IIRC),
but setup.exe seems to be discussed so often on the general list that...

> 
> The problem with -src is that it a) precludes having multiple packages
> which are created from the same source (ie libfoo (.dll and 
> binaries) +
> foo-devel (headers and .a files) come from foo-source - the -src
> convention means we need libfoo-src + foo-devel-src which would be the
> same file duplicated :[ and b) is non-inutitive to use in setup.exe -
> how do you as a user install sshd-2.95p4 and download the source to
> sshd-2.95p5 which has a bug you want to fix (which is why you want the
> p4 binary)
> 
> So sources should be explicit metadata, not inferred from the name
> metadata. As to how and when... thats a different story :}.

I fully agree with that.

> 
> > OK, I can understand that, but the problem was not 
> explained, just the fact
> > that the feature was getting in the "mixed feelings" 
> category which need
> > further advice from developers.
> 
> And the developers (all ?5?6? for setup.exe) haven't had time to
> comment. The whole thread occured whilst I was asleep... except maybe
> John's inital request, which I read, and figured as I couldn't provide
> an authoritative answer I'd just wait and see what came up before
> jumping in. 

Yeah; tha'ts the biggest internet problem; one should find a way to get the
clock (and the sun!) indicate the same time all over the world :) :) :)

> 
> > PS: Note that in the above message, only the every first 
> quote was from me,
> > while you seem to say that you were answering to my post...
> 
> Uhmm, late at work again? See (*) above :]

Errr... not really, just get my eye caught by th e"Bernard" on th ebeginning
of the line after ;-( My fault!

	Bernard

--------------------------------------------
Bernard Dautrevaux
Microprocess Ingenierie
97 bis, rue de Colombes
92400 COURBEVOIE
FRANCE
Tel:	+33 (0) 1 47 68 80 80
Fax:	+33 (0) 1 47 88 97 85
e-mail:	[email-masked]
		[email-masked]
-------------------------------------------- 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/